package com.chinacreator.datasync.common;

import java.util.List;

import org.slf4j.Logger;

import com.chinacreator.datasync.entity.OrderBean;

public class CommonUtil {
	
	public static boolean isNotBlank(List list) {
		if(list == null) {
			return false;
		}
		
		if(list.size()<=0) {
			return false;
		}
		
		return true;
	}
	
	public static boolean isNotBlank(String ...args) {
		for(String arg:args) {
			if(arg == null || "".contentEquals(arg.trim())) {
				return false;
			}
		}
		return true;
	}
	
	public static boolean have(String[] args,String key) {
		if(args == null) {
			return false;
		}
		
		for(String arg:args) {
			if(key.equals(arg)) {
				return true;
			}
		}
		return false;
	}
	
	public static boolean have(List<String> args,String key) {
		if(args == null) {
			return false;
		}
		
		for(String arg:args) {
			if(key.equals(arg)) {
				return true;
			}
		}
		return false;
	}
	
	public static void sleep(long milliscond,Logger logger){
		try {
			Thread.currentThread().sleep(milliscond);
		} catch (Exception e1) {
			logger.info("sleeping error ................");
		}
	}
	
	public static OrderBean cloneOrder( OrderBean order) {
		OrderBean bean = new OrderBean();
		return bean;
	}

}
