package com.chinacreator.datasync.entity;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 
 * 用于后向产品， 当有多条后向产品，或既有前向产品，也有后向产品。
 * 
 * @author maoya
 *
 */
public class SyncOrderBean {
	
	private String id ;
	private String userid;
	private String status;
	private String cpid;
	private String spid;
	private String sptype;
	private String tocpid;
	private String tospid;
	private String ordertime;
	private String canceltime;
	private String endtime;
	
	//排序时用，按ENDTIME排序
	private Date compEndtime;
	
	public Date getCompEndtime() {
		return compEndtime;
	}
	public void setCompEndtime(Date compEndtime) {
		this.compEndtime = compEndtime;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getUserid() {
		return userid;
	}
	public void setUserid(String userid) {
		this.userid = userid;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getCpid() {
		return cpid;
	}
	public void setCpid(String cpid) {
		this.cpid = cpid;
	}
	public String getSpid() {
		return spid;
	}
	public void setSpid(String spid) {
		this.spid = spid;
	}
	public String getSptype() {
		return sptype;
	}
	public void setSptype(String sptype) {
		this.sptype = sptype;
	}
	public String getTocpid() {
		return tocpid;
	}
	public void setTocpid(String tocpid) {
		this.tocpid = tocpid;
	}
	public String getTospid() {
		return tospid;
	}
	public void setTospid(String tospid) {
		this.tospid = tospid;
	}
	public String getOrdertime() {
		return ordertime;
	}
	public void setOrdertime(String ordertime) {
		this.ordertime = ordertime;
	}
	public String getCanceltime() {
		return canceltime;
	}
	public void setCanceltime(String canceltime) {
		this.canceltime = canceltime;
	}
	public String getEndtime() {
		return endtime;
	}
	public void setEndtime(String endtime) {
		this.endtime = endtime;
		try {
			SimpleDateFormat df = new SimpleDateFormat("yyyyMMddHHmmss");
			//设置compEndtime，用于当compEndtime都不为空时list排序
			this.setCompEndtime(df.parse(endtime));
		} catch (Exception e) {
			//e.printStackTrace();
		}
	}
	public String toString(){
		return "id:"+id+" userid:"+userid+" spid:"+spid+" tospid:"+tospid+" cpid:"+cpid+" tocpid:"+tocpid+" sptype:"+sptype+" ordertime:"+ordertime+" canceltime:"+canceltime+" endtime:"+endtime;
	}
}
