package com.chinacreator.datasync.job;

import com.chinacreator.datasync.services.MonitorQuartz;
import com.chinacreator.datasync.services.SyncService;
import com.chinacreator.datasync.util.SpringContextUtils;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 
 * 监控定时任务
 * 
 * @author zhengrong.yan
 *
 */
@Component
public class MonitorTaskJob {

	@Scheduled(cron = "0 0/3 * * * ?")
	public void task(){
		try {
			System.out.println(">>>>>>>>>>>>>>MonitorQuartz定时任务启动");
			MonitorQuartz service = (MonitorQuartz) SpringContextUtils.getBean(MonitorQuartz.class);
			service.execute();
		} catch (Exception e) {}
	}
	
}
