package com.chinacreator.datasync.job;

import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import com.chinacreator.datasync.kafka.KafkaProductor;
import com.chinacreator.datasync.services.SyncService;
import com.chinacreator.datasync.util.SpringContextUtils;

/**
 * 
 * 数据同步
 * 
 * @author maoya
 *
 */
@Component
public class TaskSynJob {

	
	@Scheduled(fixedDelayString = "${config.job.sync.fixedDelay}")  
	public void task(){
		try {
			SyncService service = (SyncService) SpringContextUtils.getBean(SyncService.class);
			service.sync();
		} catch (Exception e) {}
	}
	
}
